Bug 470913 - Review Request: lv2core - An Audio Plugin Standard
Review Request: lv2core - An Audio Plugin Standard
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
: 232465 (view as bug list)
Depends On:
Blocks: 470914
  Show dependency treegraph
 
Reported: 2008-11-10 15:46 EST by Anthony Green
Modified: 2009-03-16 00:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 16:29:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2008-11-10 15:46:41 EST
Spec URL: http://people.redhat.com/green/Fedora/lv2core.spec
SRPM URL: http://people.redhat.com/green/Fedora/lv2core-2.0-1.fc10.src.rpm
Description: 
There are a large number of open source and free software synthesis
packages in use or development at this time. This API ('LV2')
attempts to give programmers the ability to write simple 'plugin'
audio processors in C/C++ and link them dynamically ('plug') into
a range of these packages ('hosts').  It should be possible for any
host and any plugin to communicate completely through this interface.

LV2 is a successor to LADSPA, created to address the limitations of
LADSPA which many hosts have outgrown.


Ardour and other Fedora apps will use this once it has been approved.
This is the second time I've submitted it.  I dropped the ball the first time around (several months ago).
Comment 1 Jason Tibbitts 2008-11-10 17:08:31 EST
*** Bug 232465 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2008-11-10 17:15:06 EST
I note that this still includes a .pc file and is still arch-specific.  I know the old ticket was closed but there are still open questions there and it would be really nice if you could address them.  Comment #14 from Peter Jones, specifically.
Comment 3 Anthony Green 2008-11-10 17:27:32 EST
We should include the .pc file because packages depending on this package, like slv2, expect to find one (to test the version, I think) and there's no need to deviate from upstream.

I've added the 
  %define debug_package %{nil}
you suggested.

Spec URL: http://people.redhat.com/green/Fedora/lv2core.spec
SRPM URL: http://people.redhat.com/green/Fedora/lv2core-2.0-2.fc10.src.rpm

Thanks,

AG
Comment 4 Michael Schwendt 2008-12-17 07:40:57 EST
In bug 232465 comment 2 I pointed out that the package is dual-licenced: API header is LGPLv2+, data file is MIT.

 => License: LGPLv2+ and MIT

Authors's COPYING file says "BSD-style", but the licence text matches this:
http://opensource.org/licenses/mit-license.php


It is not clear to me why neither the LV2 bundledir ( %{_libdir}/lv2 ) nor the bundle name ( lv2core.lv2 ) are defined anywhere in the lv2.h file. That means applications would need to define it themselves. Hopefully they get it right and agree on a standard path.


Home page lists a rev3 (2008-11-08) with a comment in the ChangeLog that says "unstable". Can't find any such classification of rev2.


> %files
> %doc AUTHORS COPYING README
> %defattr(-,root,root,-)

I suggest moving the %defattr one line up.
Actually rpmlint reports this, too.


> Summary:        An Audio Plugin Standard

I would drop the "An ". ;)


Starting the %description with the following sentence from the home page would be an improvement:

LV2 is a standard for plugins and matching host applications, mainly targeted at audio processing and generation.



With those changes, which can be applied in pkg cvs, it's fine packaging-wise: 

APPROVED
Comment 5 Anthony Green 2008-12-19 17:50:34 EST
New Package CVS Request
=======================
Package Name: lv2core
Short Description: Audio Plugin Standard
Owners: green
Branches: F-10
InitialCC:
Comment 6 Kevin Fenzi 2008-12-20 22:51:31 EST
cvs done.
Comment 7 Anthony Green 2008-12-22 16:28:32 EST
Closed - thanks!
Comment 8 Orcan Ogetbil 2009-03-15 23:49:33 EDT
I believe that this package should be noarch and the .pc file should go to /usr/share/pkgconfig .

The files %{_datadir}/lv2 that are in the main package are actually devel files. They are templates to write lv2 plugins and are not needed during runtime. So only a devel package should be generated from the SRPM.

Also, I can't find the F-10 build.

Additionally, there is a new upstream version. I'm going to ask pkgdb access to fix these issues.
Comment 9 Orcan Ogetbil 2009-03-16 00:12:54 EDT
I opened a new bug to address the above issues.

Ref: bug 490398

Note You need to log in before you can comment on or make changes to this bug.